using System;
using System.Collections.Generic;
using System.Text;

namespace Methoden
{
   class Program
   {
      static void Main(string[] args)
      {
         int i, j;

         i = LeseZahl("Bitte geben Sie die erste Zahl ein: ");
         j = LeseZahl("Bitte geben Sie die zweite Zahl ein: ");
         
         Console.WriteLine("Die größere Zahl ist: {0}", i > j ? i : j);
         
      }

      /// <summary>
      /// Zeigt eine Eingabeaufforderung an und liest eine Ganzzahl ein.
      /// </summary>
      /// <param name="s">Eingabeaufforderung</param>
      /// <returns>Die eingelesene Ganzzahl oder 0, wenn keine Zahl eingegeben wurde.</returns>
      private static int LeseZahl(string s)
      {
         string eingabe;                    // Diese Variablen werden innerhalb der Methode benötigt
         int ret;

         Console.Write(s);                  // Eingabeaufforderung anzeigen
         eingabe = Console.ReadLine();      // Eingabe entgegennehmen

         try                                // Eingabe in einen int-Wert umwandeln (mit Fehlerbehandlung)
         {
            ret = int.Parse(eingabe);
         }
         catch (FormatException)
         {
            ret = 0;
         }
         return ret;                        // Ergebnis der Methode zurückliefern 
      }


   }
}
